Subject: bug#44648: 28.0.50; handwrite produces invalid postscript output, needs a space

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 16 Nov 2020 23:54:38 +0100

Omar Antolín <[email-masked]> writes:

> I discovered today the `handwrite' command which produces postscript
> output than renders the current buffer in a handwritten style.  I tried
> it only discover my postscript viewer couldn't open the resulting file,
> signaling an error: "undefined ashowpage".
>
> I manually added a space to the single occurrence of "ashowpage",
> turning it into "a showpage" and now the postscript file works in my
> viewer.
>
> So it seems that simply changing line 244 of handwrite.el from
>
>     (insert "showpage exec Hwsave restore\n\n")
>
> to
>
>     (insert " showpage exec Hwsave restore\n\n")
>
> will fix this bug.

Yup; I can confirm both the problem and that this fixes the bug, so I've
now installed this in Emacs 28.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no